Bug 111631 - Session with a schema containing "image center ..." sets background image for all sessions
Summary: Session with a schema containing "image center ..." sets background image for...
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-28 04:12 UTC by Emil Karlén
Modified: 2005-09-17 22:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Karlén 2005-08-28 04:12:56 UTC
Version:            (using KDE KDE 3.4.2)
Installed from:    Fedora RPMs
OS:                Linux

When using multiple tabs (=sessions): when I select a schema (by right-click popup-menu) containing an centered image:
   ...
   title Not Working
   ...
   image center blue-bend.jpg
   ...
that image becomes the background of all sessions. When I switch to a different session the background does not change to the background that that session had before.

When doing the same thing, but change to a schema who's definition only differ on two lines:
   ...
   title Working
   ...
   image tile blue-bend.jpg
   ...
each session retains its previous background, as expected.


The schema-definition files are copies of the example file "Example.Schema" with only the two lines shown modified: the setting of name and image.

Not a critical bug, but annoying!
Comment 1 Kurt Hindenburg 2005-08-29 02:15:19 UTC
This happens with center and full schemas images.  The reason is in 

void Konsole::notifySize(int columns, int lines)

  if (n_render >= 3)
      pixmap_menu_activated(n_render);

3 = center; 4 = full
Comment 2 Kurt Hindenburg 2005-09-17 22:31:01 UTC
SVN commit 461515 by hindenburg:

Make sure newly activated sessions have correct schema variables.

BUG: 111631



 M  +9 -0      konsole.cpp  


--- branches/KDE/3.5/kdebase/konsole/konsole/konsole.cpp #461514:461515
@@ -2513,6 +2513,15 @@
      se_previous = se;
   se = s;
 
+  // Set the required schema variables for the current session
+  ColorSchema* cs = colors->find( se->schemaNo() );
+  if (!cs)
+      cs = (ColorSchema*)colors->at(0);  //the default one
+  s_schema = cs->relPath();
+  curr_schema = cs->numb();
+  pmPath = cs->imagePath();
+  n_render = cs->alignment();
+
 // BR 106464 temporary fix... 
 //  only 2 sessions opened, 2nd session viewable, right-click on 1st tab and 
 //  select 'Detach', close original Konsole window... crash